GroovyPageConfig (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
[Groovy] Class GroovyPageConfig

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.GroovyPageConfig

    @groovy.transform.CompileStatic
    class GroovyPageConfig
    extends java.lang.Object

Field Summary
`static java.lang.String` | `EXPRESSION_CODEC_NAME` expression codec escapes values inside ${} to output
`static java.lang.String` | `INHERIT_SETTING_NAME` allow inheriting codecs from parent levels
`static java.lang.String` | `OUT_CODEC_NAME` scriptlet codec escapes the static html parts coming from the GSP file scriptlets to output
`static java.lang.String` | `REPLACE_ONLY_SETTING_NAME` only use for safe codecs for replacement
`static java.lang.String` | `STATIC_CODEC_NAME` staticparts escapes the static html parts coming from the GSP file to output
`static java.lang.String` | `TAGLIB_CODEC_NAME` taglib codec escapes taglib output
`static java.lang.String` | `TAGLIB_DEFAULT_CODEC_NAME` taglibdefault codec setting name is the fallback for taglib default codec, taglibCodec in gsp directive uses this setting internally
`static java.util.Set` | `VALID_CODEC_SETTING_NAMES`

Property Summary
`java.util.Map` | `flatConfig`

Constructor Summary
`GroovyPageConfig(java.util.Map flatConfig)`

Method Summary
`java.lang.String` | `getCodecSettings(GrailsPluginInfo pluginInfo, java.lang.String codecWriterName)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### EXPRESSION_CODEC_NAME

    public static final java.lang.String EXPRESSION_CODEC_NAME

  expression codec escapes values inside ${} to output

### INHERIT_SETTING_NAME

    public static final java.lang.String INHERIT_SETTING_NAME

  allow inheriting codecs from parent levels

### OUT_CODEC_NAME

    public static final java.lang.String OUT_CODEC_NAME

  scriptlet codec escapes the static html parts coming from the GSP file scriptlets to output

### REPLACE_ONLY_SETTING_NAME

    public static final java.lang.String REPLACE_ONLY_SETTING_NAME

  only use for safe codecs for replacement

### STATIC_CODEC_NAME

    public static final java.lang.String STATIC_CODEC_NAME

  staticparts escapes the static html parts coming from the GSP file to output

### TAGLIB_CODEC_NAME

    public static final java.lang.String TAGLIB_CODEC_NAME

  taglib codec escapes taglib output

### TAGLIB_DEFAULT_CODEC_NAME

    public static final java.lang.String TAGLIB_DEFAULT_CODEC_NAME

  taglibdefault codec setting name is the fallback for taglib default codec, taglibCodec in gsp directive uses this setting internally

### VALID_CODEC_SETTING_NAMES

    public static final java.util.Set VALID_CODEC_SETTING_NAMES

Property Detail

### flatConfig

    java.util.Map flatConfig

Constructor Detail

### GroovyPageConfig

    GroovyPageConfig(java.util.Map flatConfig)

Method Detail

### getCodecSettings

    java.lang.String getCodecSettings(GrailsPluginInfo pluginInfo, java.lang.String codecWriterName)

Groovy Documentation